#include "qpointeditplugin.h"

#include "qpointedit.h"

#include <QtCore/QtPlugin>


QPointEditPlugin::QPointEditPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void QPointEditPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool QPointEditPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QPointEditPlugin::createWidget(QWidget * parent) {
	return new QPointEdit(parent);
}


QString QPointEditPlugin::name() const {
	return QLatin1String("QPointEdit");
}


QString QPointEditPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon QPointEditPlugin::icon() const {
	return QIcon();
}


QString QPointEditPlugin::toolTip() const {
	return QLatin1String("Point Edit");
}


QString QPointEditPlugin::whatsThis() const {
	return QLatin1String("Point Edit");
}


bool QPointEditPlugin::isContainer() const {
	return false;
}


QString QPointEditPlugin::domXml() const {
	return QLatin1String("<widget class=\"QPointEdit\" name=\"pointEdit\">\n</widget>\n");
}


QString QPointEditPlugin::includeFile() const {
	return QLatin1String("qpointedit.h");
}
